html {
  background-image: url('gradient.png');
  background-size: cover;
}

body {
  background: none;
  margin: unset;
  min-height: 100vh;
  max-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

#placeholder {
  position: absolute;
  left: 40%;
  right: 40%;
  top: 40%;
  bottom: 40%;
  background-image: url('logo.svg');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  opacity: 1;
}

#card-wrapper {
  position: relative;
  min-width: calc(3.5 * 6.5em);
  max-width: calc(3.5 * 6.5em);
  min-height: calc(2 * 6.5em);
  max-height: calc(2 * 6.5em);
  opacity: 0;
}

#card-soft-shadow {
  position: absolute;
  left: 30%;
  right: 30%;
  top: 30%;
  bottom: 30%;
  opacity: 1;
  background: #0000003c;
  border-radius: 50%;
  box-shadow: 0px 2px 10em #000f, 0px 2px 20em #0008;
}

#card-drop-shadow {
  position: absolute;
  left: 15px;
  right: 15px;
  top: 15px;
  bottom: 15px;
  opacity: 0.4;
  background: #0004;
  border-radius: 2px;
  box-shadow: 0px 0px 30px #0004, 0px 0px 10px #0004;
  transition: transform 0.3s;
}

#card {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: white;
  border-radius: 1px;
  font-family: 'Kanit', sans-serif;
  padding: 1.65em;
  box-shadow: 0px 0px 6px #00000002;
  transition: transform 0.3s;
  transform: perspective(400vh) rotateX(0) rotateY(0) translate(0, 0);
}

#name {
  margin-top: unset;
  text-transform: uppercase;
  font-weight: 200;
  font-size: 1.15rem;
}

#title {
  margin-top: -0.82rem;
  text-transform: uppercase;
  font-weight: 300;
  font-size: 0.8rem;
}

#info {
  position: absolute;
  bottom: 1.8em;
  left: 2em;
  margin: unset;
  list-style: none;
  padding-left: unset;
  font-size: 0.815rem;
  font-weight: 200;
  line-height: 130%;
}

#address {
  position: absolute;
  right: 2em;
  bottom: 2em;
  text-align: right;
  font-size: 0.8rem;
  font-weight: 200;
  line-height: 120%;
}

#qrcode {
  position: absolute;
  right: 1.6em;
  top: 1.6em;
}

#qrcode, #qrcode img {
  max-height: 80px;
  max-width: 80px;
}

#qrcode img {
  opacity: 0;
  transition: opacity 0.2s;
}